Subject: Re: [PATCH net-next 6/8] MIPS: mscc: Add switch to ocelot

From: Andrew Lunn <[email-masked]>
Date: Fri, 23 Mar 2018 23:06:57 +0100

> > That is the trade off of having a standalone MDIO bus driver.  Maybe
> > add a phandle to the internal MDIO bus? The switch driver could then
> > follow the phandle, and direct connect the internal PHYs?
> 
> This is more or less what patch 7 does, right?

Patch 7 does it in DT. I'm suggesting it could be done in C. It is
hard wired, so there is no need to describe it in DT. Use the phandle
to get the mdio bus, mdiobus_get_phy(, port) to get the phydev and
then use phy_connect().

     Andrew